"""
从推荐流中，获取账号信息，并且把账号信息自动化添加到 Mysql 数据库中
"""

from .db import MysqlHelper


class AutoAddAuthor:
    def __init__(self, rule, account):
        self.rule = rule
        self.account = account

    def add_account(self):
        return self.account

    def judge_rule(self):
        return self.rule